> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetokb.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete theme

> This API deletes a custom theme. Built-in themes cannot be deleted and return 404. The published theme cannot be deleted. For CLI sessions, this needs the Manage themes permission.

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace's subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetokb.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/themes.yaml DELETE /themes/{id}
openapi: 3.0.3
info:
  title: NeetoKB Themes API
  description: >-
    APIs to manage the themes, theme settings and fonts of the knowledge base
    site.
  version: 1.0.0
servers:
  - description: NeetoKB API
    url: https://{your-subdomain}.neetokb.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
paths:
  /themes/{id}:
    delete:
      tags:
        - Themes
      summary: Delete theme
      description: >-
        This API deletes a custom theme. Built-in themes cannot be deleted and
        return 404. The published theme cannot be deleted. For CLI sessions,
        this needs the Manage themes permission.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/theme_id_path_param'
      responses:
        '200':
          description: OK - Theme deleted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/deleted_id_response'
        '401':
          $ref: '#/components/responses/unauthorized_response'
        '403':
          $ref: '#/components/responses/forbidden_response'
        '404':
          $ref: '#/components/responses/not_found_response'
        '422':
          description: Unprocessable Entity - The theme is published
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    example: Published theme cannot be deleted
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    theme_id_path_param:
      in: path
      name: id
      description: >-
        Unique identifier of the theme. Get it from [List
        themes](/api/themes/list).
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    deleted_id_response:
      type: object
      properties:
        id:
          type: string
          format: uuid
  responses:
    unauthorized_response:
      description: Unauthorized - API key is missing or invalid
    forbidden_response:
      description: >-
        Forbidden - The CLI session does not have the permission this change
        needs
    not_found_response:
      description: Not Found - The record does not exist in this workspace
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Not found.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.